GrailsAwareInjectionOperation (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.compiler.injection

## [Java] Class GrailsAwareInjectionOperation

- org.grails.compiler.injection.GrailsAwareInjectionOperation

- A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAwareInjectionOperation ()`
    `GrailsAwareInjectionOperation (ClassInjector[] classInjectors)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `static ClassInjector[]` | `getClassInjectors()`
    `` | `static ClassInjector[]` | `getGlobalClassInjectors()`
    `` | `ClassInjector[]` | `getLocalClassInjectors()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation` | `org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#call(org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#needSortedInput(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long, int), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#toString(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#hashCode(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#getClass(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notify(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsAwareInjectionOperation()

    - #### public GrailsAwareInjectionOperation(ClassInjector[] classInjectors)

  - ### Method Detail

    - #### @java.lang.Override public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public static ClassInjector[] getClassInjectors()

    - #### public static ClassInjector[] getGlobalClassInjectors()

    - #### public ClassInjector[] getLocalClassInjectors()